# Out-of-date server.  It's a database, so it can actually run on multiple
# systems, which is nice.

# Give AWS access to the remctl port.
class base::out-of-date::remctl inherits ::remctl::duke {
  Base::Iptables::Rule['remctl'] { source +> [ '50.16.0.0/14' ] }
}

class base::out-of-date::server {
    include base::out-of-date::remctl,
            stunnel

    package { 'stanford-outofdate-server': ensure => installed }

    base::wallet { 'idg-ood-db-out_of_date':
        path  => '/etc/out-of-date/server.conf',
        type  => 'file',
        owner => 'root',
        group => 'root',
        mode  => 640;
    }

    base::wallet { 'service/out-of-date':
        path  => '/etc/out-of-date/keytab',
        owner => 'root',
        group => 'root',
        mode  => 640;
    }

    file {
        '/etc/filter-syslog/ood':
            source => 'puppet:///modules/base/out-of-date/etc/filter-syslog/ood';
        '/etc/cron.d/remctl-acl-update-integration':
            source => 'puppet:///modules/base/out-of-date/etc/cron.d/remctl-acl-update-integration';
        '/etc/cron.d/out-of-date':
            source => 'puppet:///modules/base/out-of-date/etc/cron.d/out-of-date';
        '/etc/remctl/conf.d/out-of-date':
            source => 'puppet:///modules/base/out-of-date/etc/remctl/conf.d/out-of-date';
        '/etc/remctl/acl/hosts':
            source => 'puppet:///modules/base/out-of-date/etc/remctl/acl/hosts';
        '/etc/remctl/acl/service-tools':
            source => 'puppet:///modules/base/out-of-date/etc/remctl/acl/service-tools';
        '/etc/cron.monthly/ood-mail-idg':
            source => 'puppet:///modules/base/out-of-date/etc/cron.monthly/ood-mail-idg';
        '/etc/cron.monthly/ood-mail-sa-appsupp':
            source => 'puppet:///modules/base/out-of-date/etc/cron.monthly/ood-mail-sa-appsupp';
        '/etc/cron.monthly/ood-mail-sa-core':
            source => 'puppet:///modules/base/out-of-date/etc/cron.monthly/ood-mail-sa-core';
        '/etc/cron.monthly/ood-mail-sa-rc':
            source => 'puppet:///modules/base/out-of-date/etc/cron.monthly/ood-mail-sa-rc';
        '/etc/cron.monthly/ood-mail-sa-crc':
            source => 'puppet:///modules/base/out-of-date/etc/cron.monthly/ood-mail-sa-crc';
        '/var/lib/out-of-date':
            ensure => directory,
            owner  => 'root',
            group  => 'root',
            mode   => 640;
        '/var/lib/out-of-date/queue':
            ensure => directory,
            owner  => 'root',
            group  => 'root',
            mode   => 640;
    }
}